Subject: SIOCGIWSCAN wireless event behaviour

From: Daniel Drake <[email-masked]>
Date: Thu, 20 Apr 2006 15:15:59 +0100

Hi Jean,

A query regarding wireless events: under which circumstances should a 
driver/stack send a SIOCGIWSCAN event to userspace?

Should it be sent whenever a driver has new scan results available, or 
only when the user requested a scan a short time beforehand (via 
SIOCSIWSCAN)?

I ask this because softmac is sending the SIOCGIWSCAN event even when 
the user did not explicitly ask for it.

For example, the user sets an essid. softmac starts a scan in order to 
find the requested network. The network is found, the scan completes, 
and softmac sends SIOCGIWSCAN. softmac then authenticates to that 
network, associates, and then sends SIOCGIWAP.

I think the 'extra' SIOCGIWSCAN event may be confusing wpa_supplicant 
(but have not confirmed that yet).

Thanks,
Daniel